petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDLLibraryPrepend

Add another dynamic library to search for symbols to the beginning of the search path.

### Synopsis

    PetscErrorCode  PetscDLLibraryPrepend(MPI_Comm comm,PetscDLLibrary *outlist,const char path[])

Collective

### Input Parameters

| comm | - MPI communicator
| path | - name of the library

### Output Parameter

outlist -list of libraries

### Notes

If library is already in path will remove old reference.

### Level

developer

### Location

src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages